| Home | Libraries | People | FAQ | More

###### basic_parser::basic_parser (2 of 2 overloads)

Constructor.

###### Synopsis

    template<
        class... Args>
    basic_parser(
        parse_options const& opt,
        Args&&... args);

###### Description

This function constructs the parser with the specified options, with any additional arguments forwarded to the handler's constructor.

###### Complexity

Same as `Handler( std::forward< Args >( args )... )`.

###### Exception Safety

Same as `Handler( std::forward< Args >( args )... )`.

###### Parameters

Name | Description
--- | ---
`opt` | Configuration settings for the parser. If this structure is default constructed, the parser will accept only standard JSON.
`args` | Optional additional arguments forwarded to the handler's constructor.

###### See Also

parse_options